Description: Skip removed testdata files gracefully
Author: Anthony Fok <foka@debian.org>
Origin: vendor
Forwarded: not-needed
Last-Update: 2024-11-21
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/mimetype_test.go
+++ b/mimetype_test.go
@@ -29,6 +29,11 @@
 func fromDisk(path string) string {
 	data, err := os.ReadFile("testdata/" + path)
 	if err != nil {
+		if strings.HasSuffix(err.Error(), "open testdata/"+path+": no such file or directory") {
+			fmt.Println(err.Error())
+			fmt.Println("(removed from Debian packaging)")
+			return "debian-packaging-removed"
+		}
 		panic(err)
 	}
 	return string(data)
@@ -266,6 +271,9 @@
 
 func TestDetect(t *testing.T) {
 	for _, tc := range testcases {
+		if tc.data == "debian-packaging-removed" {
+			continue
+		}
 		t.Run(tc.name, func(t *testing.T) {
 			if mtype := Detect([]byte(tc.data)); mtype.String() != tc.expectedMIME {
 				t.Errorf("Detect: Expected: %s != Detected: %s", tc.expectedMIME, mtype.String())
@@ -281,6 +289,9 @@
 
 func TestDetectBreakReader(t *testing.T) {
 	for _, tc := range testcases {
+		if tc.data == "debian-packaging-removed" {
+			continue
+		}
 		t.Run(tc.name, func(t *testing.T) {
 			br := &breakReader{
 				r:         strings.NewReader(tc.data),
